Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 16, 17, 18 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Thu Dec 03, 2009 10:22 pm    Post subject: Reply with quote

http://www.linuxized.com/2009/12/kde-testing-overlay-renamed-qt-and-kde-status-in-gentoo/#utm_source=feed&utm_medium=feed&utm_campaign=feed
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4413

PostPosted: Fri Dec 04, 2009 9:12 am    Post subject: Reply with quote

rekonq-9999 depends on latest kde-beta:
Code:
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1192 (message):                                                                                     
  ERROR: the installed kdelibs version 4.3.4 is too old, at least version                                                                                               
  4.3.80 is required
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Dec 04, 2009 10:43 am    Post subject: Reply with quote

franzf wrote:
rekonq-9999 depends on latest kde-beta:
Code:
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1192 (message):                                                                                     
  ERROR: the installed kdelibs version 4.3.4 is too old, at least version                                                                                               
  4.3.80 is required


and arora-9999 doesn't compile with latest kde (at least it was the case with 4.3.77 and some days ago)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Fri Dec 04, 2009 3:49 pm    Post subject: Reply with quote

kernelOfTruth wrote:
franzf wrote:
rekonq-9999 depends on latest kde-beta:
Code:
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1192 (message):                                                                                     
  ERROR: the installed kdelibs version 4.3.4 is too old, at least version                                                                                               
  4.3.80 is required


and arora-9999 doesn't compile with latest kde (at least it was the case with 4.3.77 and some days ago)


Nothing to do with KDE - doesn't compile here as well (qt-4.6 and kde-4.3.4)
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Fri Dec 04, 2009 10:08 pm    Post subject: Reply with quote

still no fix for pykde4 ? :(
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Sat Dec 05, 2009 10:06 am    Post subject: Reply with quote

Several issues currently:

kde-l10n-4.3.80:
Code:
 * Detected file collision(s):
 *
 *      /usr/share/apps/koffice/autocorrect/de.xml
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * app-office/koffice-l10n-2.1.0
 *      /usr/share/apps/koffice/autocorrect/de.xml


kalarm-4.3.80:
Code:
2009-12-05 15:55:34 (312 KB/s) - `/usr/portage/distfiles/kdepim-4.3.80.tar.bz2' saved [11363697]

('Filesize does not match recorded size', 11363697, 11068038)
!!! Fetched file: kdepim-4.3.80.tar.bz2 VERIFY FAILED!       
!!! Reason: Filesize does not match recorded size           
!!! Got:      11363697
!!! Expected: 11068038

Builds when manifested in my local overlay.

And finally, still pykde4-4.3.80:
Code:
/var/tmp/portage/kde-base/pykde4-4.3.80/work/pykde4-4.3.80-2.6/python/pykde4/sip/akonadi/preprocessorbase.sip:155: error: ‘EntityRightsFilterModel’ is not a member of ‘Akonadi’                       
/var/tmp/portage/kde-base/pykde4-4.3.80/work/pykde4-4.3.80-2.6/python/pykde4/sip/akonadi/preprocessorbase.sip:155: error: expected primary-expression before ‘>’ token                                 
/var/tmp/portage/kde-base/pykde4-4.3.80/work/pykde4-4.3.80-2.6/python/pykde4/sip/akonadi/preprocessorbase.sip:156: error: expected ‘)’ before ‘sipClass’                                               
/var/tmp/portage/kde-base/pykde4-4.3.80/work/pykde4-4.3.80-2.6/python/pykde4/sip/kdecore/typedefs.sip: In function ‘PyObject* convertFrom_QSet_0100QByteArray(void*, PyObject*)’:                       
/var/tmp/portage/kde-base/pykde4-4.3.80/work/pykde4-4.3.80-2.6/python/pykde4/sip/kdecore/typedefs.sip:578: warning: suggest explicit braces to avoid ambiguous ‘else’                                   
make[2]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_akonadi.dir/sip/akonadi/sipakonadipart0.o] Error 1                                                                                         
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_akonadi.dir/all] Error 2               
make[1]: *** Waiting for unfinished jobs....

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Sat Dec 05, 2009 5:18 pm    Post subject: Reply with quote

I am having problems with akonadi.

Code:

Akonadi Server Self-Test Report
===============================

Test 1:  SUCCESS
--------

Database driver found.
Details: The QtSQL driver 'QMYSQL' is required by your current Akonadi server configuration and was found on your system.

File content of '/home/cruzki/.config/akonadi/akonadiserverrc':
[%General]
Driver=QMYSQL
SizeThreshold=4096
ExternalPayload=false

[QMYSQL]
Name=akonadi
User=
Password=
Options="UNIX_SOCKET=/home/cruzki/.local/share/akonadi/db_misc/mysql.socket"
ServerPath=/usr/sbin/mysqld
StartServer=true

[Debug]
Tracer=null


Test 2:  SUCCESS
--------

MySQL server found.
Details: You currently have configured Akonadi to use the MySQL server '/usr/sbin/mysqld'.
Make sure you have the MySQL server installed, set the correct path and ensure you have the necessary read and execution rights on the server executable. The server executable is typically called 'mysqld', its locations varies depending on the distribution.

Test 3:  SUCCESS
--------

MySQL server is executable.
Details: MySQL server found: /usr/sbin/mysqld  Ver 5.0.84-log for pc-linux-gnu on x86_64 (Gentoo Linux mysql-5.0.84-r1)


Test 4:  SUCCESS
--------

MySQL server log contains no errors.
Details: The MySQL server log file &apos;<a href='/home/cruzki/.local/share/akonadi/db_data/mysql.err'>/home/cruzki/.local/share/akonadi/db_data/mysql.err</a>&apos; does not contain any errors or warnings.

File content of '/home/cruzki/.local/share/akonadi/db_data/mysql.err':
InnoDB: The InnoDB memory heap is disabled
InnoDB: use atomic builtins.
InnoDB: The InnoDB memory heap is disabled
InnoDB: use atomic builtins.
InnoDB: The InnoDB memory heap is disabled
InnoDB: use atomic builtins.
InnoDB: The InnoDB memory heap is disabled
InnoDB: use atomic builtins.


Test 5:  SUCCESS
--------

MySQL server default configuration found.
Details: The default configuration for the MySQL server was found and is readable at <a href='/usr/share/config/akonadi/mysql-global.conf'>/usr/share/config/akonadi/mysql-global.conf</a>.

File content of '/usr/share/config/akonadi/mysql-global.conf':
#
# Global Akonadi MySQL server settings,
# These settings can be adjusted using $HOME/.config/akonadi/mysql-local.conf
#
# Based on advice by Kris Köhntopp <kris@mysql.com>
#
[mysqld]
skip_grant_tables
skip_networking

# strict query parsing/interpretation
# TODO: make Akonadi work with those settings enabled
#sql_mode=strict_trans_tables,strict_all_tables,strict_error_for_division_by_zero,no_auto_create_user,no_auto_value_on_zero,no_engine_substitution,no_zero_date,no_zero_in_date,only_full_group_by,pipes_as_concat
#sql_mode=strict_trans_tables

# use InnoDB for transactions and better crash recovery
default_storage_engine=innodb
# case-insensitive table names, avoids trouble on windows
lower_case_table_names=1
character_set_server=latin1
collation_server=latin1_general_ci
table_cache=200
thread_cache_size=3
log_bin=mysql-bin
expire_logs_days=3
#sync_bin_log=0
# error log file name, relative to datadir
log_error=mysql.err
log_warnings=2
# log all queries, useful for debugging but generates an enormous amount of data
#log=mysql.full
# log queries slower than n seconds, log file name relative to datadir
log_slow_queries=mysql.slow
long_query_time=1
# log queries not using indices, debug only, disable for production use
log_queries_not_using_indexes=1
# maximum blob size
max_allowed_packet=32M
max_connections=256
# makes sense when having the same query multiple times
# makes no sense with prepared statements and/or transactions
query_cache_type=0
query_cache_size=0

innodb_file_per_table=1
innodb_log_buffer_size=1M
innodb_additional_mem_pool_size=1M
# messure database size and adjust
# SELECT sum(data_length) as bla, sum(index_length) as blub FROM information_schema.tables WHERE table_schema not in ("mysql", "information_schema");
innodb_buffer_pool_size=80M
# size of average write burst, keep Innob_log_waits small, keep Innodb_buffer_pool_wait_free small (see show global status like "inno%", show global variables)
innodb_log_file_size=64M
innodb_flush_log_at_trx_commit=2



Test 6:  SKIP
--------

MySQL server custom configuration not available.
Details: The custom configuration for the MySQL server was not found but is optional.

Test 7:  SUCCESS
--------

MySQL server configuration is usable.
Details: The MySQL server configuration was found at <a href='/home/cruzki/.local/share/akonadi/mysql.conf'>/home/cruzki/.local/share/akonadi/mysql.conf</a> and is readable.

File content of '/home/cruzki/.local/share/akonadi/mysql.conf':
#
# Global Akonadi MySQL server settings,
# These settings can be adjusted using $HOME/.config/akonadi/mysql-local.conf
#
# Based on advice by Kris Köhntopp <kris@mysql.com>
#
[mysqld]
skip_grant_tables
skip_networking

# strict query parsing/interpretation
# TODO: make Akonadi work with those settings enabled
#sql_mode=strict_trans_tables,strict_all_tables,strict_error_for_division_by_zero,no_auto_create_user,no_auto_value_on_zero,no_engine_substitution,no_zero_date,no_zero_in_date,only_full_group_by,pipes_as_concat
#sql_mode=strict_trans_tables

# use InnoDB for transactions and better crash recovery
default_storage_engine=innodb
# case-insensitive table names, avoids trouble on windows
lower_case_table_names=1
character_set_server=latin1
collation_server=latin1_general_ci
table_cache=200
thread_cache_size=3
log_bin=mysql-bin
expire_logs_days=3
#sync_bin_log=0
# error log file name, relative to datadir
log_error=mysql.err
log_warnings=2
# log all queries, useful for debugging but generates an enormous amount of data
#log=mysql.full
# log queries slower than n seconds, log file name relative to datadir
log_slow_queries=mysql.slow
long_query_time=1
# log queries not using indices, debug only, disable for production use
log_queries_not_using_indexes=1
# maximum blob size
max_allowed_packet=32M
max_connections=256
# makes sense when having the same query multiple times
# makes no sense with prepared statements and/or transactions
query_cache_type=0
query_cache_size=0

innodb_file_per_table=1
innodb_log_buffer_size=1M
innodb_additional_mem_pool_size=1M
# messure database size and adjust
# SELECT sum(data_length) as bla, sum(index_length) as blub FROM information_schema.tables WHERE table_schema not in ("mysql", "information_schema");
innodb_buffer_pool_size=80M
# size of average write burst, keep Innob_log_waits small, keep Innodb_buffer_pool_wait_free small (see show global status like "inno%", show global variables)
innodb_log_file_size=64M
innodb_flush_log_at_trx_commit=2



Test 8:  SUCCESS
--------

akonadictl found and usable
Details: The program '/usr/bin/akonadictl' to control the Akonadi server was found and could be executed successfully.
Result:
Akonadi 1.2.80


Test 9:  ERROR
--------

Akonadi control process not registered at D-Bus.
Details: The Akonadi control process is not registered at D-Bus which typically means it was not started or encountered a fatal error during startup.

Test 10:  ERROR
--------

Akonadi server process not registered at D-Bus.
Details: The Akonadi server process is not registered at D-Bus which typically means it was not started or encountered a fatal error during startup.

Test 11:  ERROR
--------

Nepomuk search service not registered at D-Bus.
Details: The Nepomuk search service is not registered at D-Bus which typically means it was not started or encountered a fatal error during startup.

Test 12:  SKIP
--------

Protocol version check not possible.
Details: Without a connection to the server it is not possible to check if the protocol version meets the requirements.

Test 13:  ERROR
--------

No resource agents found.
Details: No resource agents have been found, Akonadi is not usable without at least one. This usually means that no resource agents are installed or that there is a setup problem. The following paths have been searched: ''. The XDG_DATA_DIRS environment variable is set to '/usr/share:/usr/local/share:/usr/share', make sure this includes all paths where Akonadi agents are installed to.

Directory list is empty.

Environment variable XDG_DATA_DIRS is set to '/usr/share:/usr/local/share:/usr/share'

Test 14:  ERROR
--------

Current Akonadi server error log found.
Details: The Akonadi server did report error during startup into <a href='/home/cruzki/.local/share/akonadi/akonadiserver.error'>/home/cruzki/.local/share/akonadi/akonadiserver.error</a>.

File content of '/home/cruzki/.local/share/akonadi/akonadiserver.error':
"[
0: akonadiserver(_Z11akBacktracev+0x39) [0x40af89]
1: akonadiserver() [0x40b4d2]
2: /lib/libc.so.6() [0x32dca335f0]
3: /lib/libc.so.6(gsignal+0x35) [0x32dca33575]
4: /lib/libc.so.6(abort+0x180) [0x32dca34d80]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x74) [0x32e326be24]
6: /usr/lib64/qt4/libQtCore.so.4() [0x32e326c021]
7: /usr/lib64/qt4/libQtCore.so.4(_Z6qFatalPKcz+0x95) [0x32e326c1a5]
8: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer20startDatabaseProcessEv+0xf42) [0x7f7465dd1a32]
9: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServerC1EP7QObject+0x76) [0x7f7465dd4b16]
10: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer8instanceEv+0x37) [0x7f7465dd5f67]
11: akonadiserver(main+0x3b4) [0x4060a4]
12: /lib/libc.so.6(__libc_start_main+0xfd) [0x32dca1ebbd]
13: akonadiserver() [0x405bf9]
]
"


Test 15:  ERROR
--------

Previous Akonadi server error log found.
Details: The Akonadi server did report error during its previous startup into <a href='/home/cruzki/.local/share/akonadi/akonadiserver.error.old'>/home/cruzki/.local/share/akonadi/akonadiserver.error.old</a>.

File content of '/home/cruzki/.local/share/akonadi/akonadiserver.error.old':
"[
0: akonadiserver(_Z11akBacktracev+0x39) [0x40af89]
1: akonadiserver() [0x40b4d2]
2: /lib/libc.so.6() [0x32dca335f0]
3: /lib/libc.so.6(gsignal+0x35) [0x32dca33575]
4: /lib/libc.so.6(abort+0x180) [0x32dca34d80]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x74) [0x32e326be24]
6: /usr/lib64/qt4/libQtCore.so.4() [0x32e326c021]
7: /usr/lib64/qt4/libQtCore.so.4(_Z6qFatalPKcz+0x95) [0x32e326c1a5]
8: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer20startDatabaseProcessEv+0xf42) [0x7f4d5013da32]
9: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServerC1EP7QObject+0x76) [0x7f4d50140b16]
10: /usr/lib64/libakonadiprivate.so.1(_ZN7Akonadi13AkonadiServer8instanceEv+0x37) [0x7f4d50141f67]
11: akonadiserver(main+0x3b4) [0x4060a4]
12: /lib/libc.so.6(__libc_start_main+0xfd) [0x32dca1ebbd]
13: akonadiserver() [0x405bf9]
]
"


Test 16:  SUCCESS
--------

No current Akonadi control error log found.
Details: The Akonadi control process did not report any errors during its current startup.

Test 17:  SUCCESS
--------

No previous Akonadi control  log found.
Details: The Akonadi control process did not report any errors during its previous startup.



EDIT: Seems that now is compulsory to have nepomuk instaled if you want kdepim aplications to work :S
EDIT2: solved instaling nepomuk and akonadi
Back to top
View user's profile Send private message
StringCheesian
l33t
l33t


Joined: 21 Oct 2003
Posts: 887

PostPosted: Sun Dec 06, 2009 12:57 am    Post subject: Reply with quote

The "files" directory is missing in app-misc/strigi, so it fails with an error about one of the patches not being found.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Mon Dec 07, 2009 9:08 pm    Post subject: Reply with quote

strigi still misses that patch.

pykde4 ebuild enjoyed some changes and even a new patch, but still doesn't compile. :cry:
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Dec 13, 2009 1:02 pm    Post subject: Reply with quote

genstorm wrote:


kalarm-4.3.80:
Code:
2009-12-05 15:55:34 (312 KB/s) - `/usr/portage/distfiles/kdepim-4.3.80.tar.bz2' saved [11363697]

('Filesize does not match recorded size', 11363697, 11068038)
!!! Fetched file: kdepim-4.3.80.tar.bz2 VERIFY FAILED!       
!!! Reason: Filesize does not match recorded size           
!!! Got:      11363697
!!! Expected: 11068038

Builds when manifested in my local overlay.


second that:
Quote:
Downloaded 10.8 megabytes in 5 seconds. (1952.63 KB/s)
('Filesize does not match recorded size', 11363697, 11068038)
!!! Fetched file: kdepim-4.3.80.tar.bz2 VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got: 11363697
!!! Expected: 11068038
Refetching... File renamed to


it seems to apply to the whole kdepim-packages dependent on that tarball

wrong digest information ...
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Sun Dec 13, 2009 1:17 pm    Post subject: Reply with quote

amarok-9999: amarok-2.2-mysql-libs.patch does not apply anymore, maybe redundant now?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Dec 13, 2009 1:27 pm    Post subject: Reply with quote

just an addition to the post above:

affected packages seem to be:
Quote:
grep kdepim-4.3.80.tar.bz2 -r -i /usr/local/portage/kde-testing/
/usr/local/portage/kde-testing/kde-base/kjots/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/konsolekalendar/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/libkdepim/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kabcclient/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/akregator/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kdepim-wizards/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/libkpgp/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kdepim-icons/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kpilot/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/libksieve/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kdepim-kresources/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kmail/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/knotes/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/knode/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kaddressbook/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kalarm/Manifest:DIST kdepim-4.3.80.tar.bz2 11068038 RMD160 9dd8528b10059218dff2dcb856a369a9d61c077e SHA1 88067ba20925305d8e36e7edc75564a25390fcd7 SHA256 d40e0b11bc621fc9a27e62e1f36f131b7e2baf92f702dc6cdfaab600f7d98e8b
/usr/local/portage/kde-testing/kde-base/kdepim-strigi-analyzer/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/ktimetracker/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kontact-specialdates/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kmailcvt/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kleopatra/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/mimelib/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/korganizer/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/blogilo/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/libkleo/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25
/usr/local/portage/kde-testing/kde-base/kontact/Manifest:DIST kdepim-4.3.80.tar.bz2 11363697 RMD160 a35a6b83c2e03301badbb564eab301e790edd520 SHA1 74a8a24a7bd7906bab103091e4b52fcfac270a5e SHA256 831ac64ad6c2df28726bd8399903414492383064d665797f1d73234f632bfe25

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Dec 13, 2009 1:36 pm    Post subject: Reply with quote

same applies to kdebindings:
Quote:
kde-base/kdebindings-csharp-4.3.80 from kde
Refetching... File renamed to '/home/distfiles/kdebindings-4.3.80.tar.bz2._checksum_failure_.NbTutU'

>>> Downloading 'http://mirror.csclub.uwaterloo.ca/kde/unstable/4.3.80/src/kdebindings-4.3.80.tar.bz2'
Initializing download: http://mirror.csclub.uwaterloo.ca/kde/unstable/4.3.80/src/kdebindings-4.3.80.tar.bz2
File size: 5034264 bytes
Opening output file /home/distfiles/kdebindings-4.3.80.tar.bz2
Starting download

Connection 0 finished ]
Connection 3 finished ]
Connection 2 finished ]
[100%] [..................................................] [ 499.4KB/s] [00:00]

Downloaded 4916.3 kilobytes in 9 seconds. (499.37 KB/s)
('Filesize does not match recorded size', 5034264, 5034149)
!!! Fetched file: kdebindings-4.3.80.tar.bz2 VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got: 5034264
!!! Expected: 5034149
Refetching... File renamed to '/home/distfiles/kdebindings-4.3.80.tar.bz2._checksum_failure_.NbTutU'

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Sun Dec 13, 2009 4:54 pm    Post subject: Reply with quote

genstorm wrote:
amarok-9999: amarok-2.2-mysql-libs.patch does not apply anymore, maybe redundant now?

Fixed in overlay now, patch obsolete. :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Dec 13, 2009 8:35 pm    Post subject: Reply with quote

kpilot fails to install:
Quote:
-- <<< Gentoo configuration >>>
Build type: Gentoo
Install path:

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/kpilot-4.3.80/work/kpilot-4.3.80_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/kpilot-4.3.80/work/kpilot-4.3.80 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/kpilot-4.3.80/work/kpilot-4.3.80_build"
make -j2
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/kpilot-4.3.80

>>> Install kpilot-4.3.80 into /var/tmp/portage/kde-base/kpilot-4.3.80/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/kpilot-4.3.80/work/kpilot-4.3.80_build"
make -j2 install DESTDIR=/var/tmp/portage/kde-base/kpilot-4.3.80/image/
make: *** No rule to make target `install'. Stop.
* ERROR: kde-base/kpilot-4.3.80 failed:
* Make install failed
*
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 9114: Called kde4-meta_src_install
* environment, line 8292: Called kde4-base_src_install
* environment, line 7906: Called cmake-utils_src_install
* environment, line 6011: Called _execute_optionaly 'src_install'
* environment, line 5392: Called enable_cmake-utils_src_install
* environment, line 6439: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
*
* If you need support, post the output of 'emerge --info =kde-base/kpilot-4.3.80',
* the complete build log and the output of 'emerge -pqv =kde-base/kpilot-4.3.80'.
* This ebuild used the following eclasses from overlays:
* /usr/gentoo/overlays/kde-testing/eclass/kde4-meta.eclass
* /usr/gentoo/overlays/kde-testing/eclass/kde4-base.eclass
* /usr/gentoo/overlays/kde-testing/eclass/kde4-functions.eclass
* /usr/gentoo/overlays/kde-testing/eclass/cmake-utils.eclass
* This ebuild is from an overlay named 'kde': '/usr/gentoo/overlays/kde-testing/'
* The complete build log is located at '/var/log/portage/kde-base:kpilot-4.3.80:20091213-201449.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/kpilot-4.3.80/temp/environment'.
* S: '/var/tmp/portage/kde-base/kpilot-4.3.80/work/kpilot-4.3.80'

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Shalrath
n00b
n00b


Joined: 27 Dec 2003
Posts: 5

PostPosted: Mon Dec 14, 2009 4:36 pm    Post subject: Reply with quote

I've been having problems building pykde4 for the last week. Lately, it has been bombing out on trying to find globalconfig.h, which exists under /usr/include/phonon. Judging by the number of warnings it generates, I wouldn't be surprised if pykde4 is not finding any header files that aren't strictly in /usr/include.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Mon Dec 14, 2009 4:40 pm    Post subject: Reply with quote

Only for the last week? Last pykde4 version that built on my system (regardless of any sip/PyQt4 version, I ruled that out) was 4.3.75... Are you on KDE 4.3 or 4.4?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6111
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Dec 14, 2009 4:47 pm    Post subject: Reply with quote

genstorm wrote:
Only for the last week? Last pykde4 version that built on my system (regardless of any sip/PyQt4 version, I ruled that out) was 4.3.75... Are you on KDE 4.3 or 4.4?


I second that !

Congrats to your 1000th post ! :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Shalrath
n00b
n00b


Joined: 27 Dec 2003
Posts: 5

PostPosted: Mon Dec 14, 2009 7:11 pm    Post subject: Reply with quote

Well, Im sure it built fine back in June or so. But recently I enacted a scorched earth policy and emerge -C'd every kde package I could find between migrating from -live to 4.3.80 and back to -live.

It's a bit frustrating, to be honest. Most of the errors that I see in pykde4 are related to not finding certain header files - which do exist, but not in the /usr/include root directory.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Tue Dec 15, 2009 1:11 am    Post subject: Reply with quote

@kerneloftruth: Thx, I didn't see that coming. ;)

It seems to me there's a whole directory simply missing in kdebindings, not only in the tarball, but also online:

Code:
sip # grep -r kmime .
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/messagemodel.h>
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/messagethreaderproxymodel.h>
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/addressattribute.h>
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/messagefolderattribute.h>
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/messagethreadingattribute.h>
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/messageparts.h>
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/messagemodel.h>
./akonadi/sipAPIakonadi.h:#include <akonadi/kmime/messagethreaderproxymodel.h>
./akonadi/sipakonadipart2.cpp:#include <akonadi/kmime/messagethreaderproxymodel.h>
./akonadi/sipakonadipart2.cpp:#include <akonadi/kmime/messagemodel.h>
./akonadi/sipakonadipart2.cpp:#include <akonadi/kmime/messagefolderattribute.h>
./akonadi/sipakonadipart2.cpp:#include <akonadi/kmime/addressattribute.h>
./akonadi/sipakonadipart1.cpp:#include <akonadi/kmime/messagethreadingattribute.h>
./akonadi/sipakonadipart0.cpp:#include <akonadi/kmime/addressattribute.h>


kmime and its files don't exist, whether you look locally:
tar:/usr/portage/distfiles/kdebindings-4.3.80.tar.bz2/kdebindings-4.3.80/python/pykde4/sip/akonadi/
...or inside the KDE.org source repo:
http://websvn.kde.org/tags/KDE/4.3.80/kdebindings/python/pykde4/sip/akonadi/
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Thu Dec 17, 2009 12:53 pm    Post subject: Reply with quote

*bump*

KDE4 SC 4.3.82 now in kde overlay:

- pykde4 still doesn't build, albeit failing at a later stage with a different error:
Code:
[ 79%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_phonon.dir/sip/phonon/sipphononpart7.o
In file included from /usr/include/python2.6/Python.h:8,
                 from /usr/include/python2.6/sip.h:33,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/phonon/sipAPIphonon.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/phonon/sipphononpart7.cpp:7:
/usr/include/python2.6/pyconfig.h:1076:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
/var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6/python/pykde4/sip/phonon/globalconfig.sip:25:26: error: globalconfig.h: No such file or directory
sipphononpart7.cpp:202: error: expected class-name before ‘{’ token
sipphononpart7.cpp:205: error: expected unqualified-id before ‘&’ token
sipphononpart7.cpp:205: error: expected ‘)’ before ‘&’ token
sipphononpart7.cpp:205: error: expected ‘;’ before ‘&’ token
sipphononpart7.cpp: In constructor ‘sipPhonon_GlobalConfig::sipPhonon_GlobalConfig()’:
sipphononpart7.cpp:216: error: expected class-name before ‘(’ token
sipphononpart7.cpp:216: error: expected ‘{’ before ‘(’ token
sipphononpart7.cpp: At global scope:
sipphononpart7.cpp:216: error: expected unqualified-id before ‘)’ token
sipphononpart7.cpp:216: error: expected constructor, destructor, or type conversion before ‘(’ token
sipphononpart7.cpp:220: error: expected unqualified-id before ‘&’ token
sipphononpart7.cpp:220: error: expected ‘)’ before ‘&’ token
sipphononpart7.cpp:220: error: expected initializer before ‘&’ token
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_hideAdvancedDevices(PyObject*, PyObject*)’:
sipphononpart7.cpp:236: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:236: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_setHideAdvancedDevices(PyObject*, PyObject*)’:
sipphononpart7.cpp:264: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:264: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_setAudioOutputDeviceListFor(PyObject*, PyObject*)’:
sipphononpart7.cpp:293: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:293: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_audioOutputDeviceListFor(PyObject*, PyObject*)’:
sipphononpart7.cpp:321: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:322: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:322: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_audioOutputDeviceFor(PyObject*, PyObject*)’:
sipphononpart7.cpp:350: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:351: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:351: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_setAudioCaptureDeviceListFor(PyObject*, PyObject*)’:
sipphononpart7.cpp:381: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:381: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_audioCaptureDeviceListFor(PyObject*, PyObject*)’:
sipphononpart7.cpp:409: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:410: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:410: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘PyObject* meth_Phonon_GlobalConfig_audioCaptureDeviceFor(PyObject*, PyObject*)’:
sipphononpart7.cpp:438: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:439: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:439: error: ‘sipCpp’ was not declared in this scope
sipphononpart7.cpp: In function ‘void release_Phonon_GlobalConfig(void*, int)’:
sipphononpart7.cpp:480: error: expected type-specifier
sipphononpart7.cpp:480: error: expected ‘>’
sipphononpart7.cpp:480: error: expected ‘(’
sipphononpart7.cpp:480: error: ‘GlobalConfig’ is not a member of ‘Phonon’
sipphononpart7.cpp:480: error: expected primary-expression before ‘>’ token
sipphononpart7.cpp:480: error: expected ‘)’ before ‘;’ token
sipphononpart7.cpp: In function ‘void* init_Phonon_GlobalConfig(sipSimpleWrapper*, PyObject*, PyObject*, PyObject**, PyObject**, PyObject**)’:
sipphononpart7.cpp:518: error: expected initializer before ‘*’ token
sipphononpart7.cpp:520: error: ‘a0’ was not declared in this scope
sipphononpart7.cpp: At global scope:
sipphononpart7.cpp:548: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:549: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:550: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:551: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:552: error: ‘Phonon::GlobalConfig’ has not been declared
sipphononpart7.cpp:553: error: too many initializers for ‘sipEnumMemberDef’
sipphononpart7.cpp:553: error: too many initializers for ‘sipEnumMemberDef’
sipphononpart7.cpp:553: error: too many initializers for ‘sipEnumMemberDef’
sipphononpart7.cpp:553: error: too many initializers for ‘sipEnumMemberDef’
sipphononpart7.cpp:553: error: too many initializers for ‘sipEnumMemberDef’
make[2]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_phonon.dir/sip/phonon/sipphononpart7.o] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_phonon.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
Scanning dependencies of target python_module_PyKDE4_plasma
[ 79%] [ 80%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart0.o
Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart1.o
In file included from /usr/include/python2.6/Python.h:8,
                 from /usr/include/python2.6/sip.h:33,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipAPIplasma.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipplasmapart0.cpp:7:
/usr/include/python2.6/pyconfig.h:1076:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
In file included from /usr/include/python2.6/Python.h:8,
                 from /usr/include/python2.6/sip.h:33,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipAPIplasma.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipplasmapart1.cpp:7:
/usr/include/python2.6/pyconfig.h:1076:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
/var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6/python/pykde4/sip/plasma/abstractrunner.sip: In function ‘const sipTypeDef* sipSubClass_Plasma_AbstractRunner(void**)’:
/var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6/python/pykde4/sip/plasma/abstractrunner.sip:182: warning: ‘AnimationDriver’ is deprecated (declared at /usr/include/plasma/animationdriver.h:41)
[ 81%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart2.o
In file included from /usr/include/python2.6/Python.h:8,
                 from /usr/include/python2.6/sip.h:33,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipAPIplasma.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipplasmapart2.cpp:7:
/usr/include/python2.6/pyconfig.h:1076:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
[ 82%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart3.o
In file included from /usr/include/python2.6/Python.h:8,
                 from /usr/include/python2.6/sip.h:33,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipAPIplasma.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipplasmapart3.cpp:7:
/usr/include/python2.6/pyconfig.h:1076:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
[ 82%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart4.o
In file included from /usr/include/python2.6/Python.h:8,
                 from /usr/include/python2.6/sip.h:33,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipAPIplasma.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.3.82/work/pykde4-4.3.82-2.6_build/python/pykde4/sip/plasma/sipplasmapart4.cpp:7:
/usr/include/python2.6/pyconfig.h:1076:1: warning: "_XOPEN_SOURCE" redefined
<command-line>: warning: this is the location of the previous definition
sipplasmapart4.cpp: In function ‘PyObject* meth_Plasma_RunnerManager_enabledSingleModeRunnerIds(PyObject*, PyObject*)’:
sipplasmapart4.cpp:6849: error: ‘class Plasma::RunnerManager’ has no member named ‘enabledSingleModeRunnerIds’
make[2]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/sip/plasma/sipplasmapart4.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/all] Error 2
make: *** [all] Error 2

Seems we're close to success there now. :D
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Thu Dec 17, 2009 8:41 pm    Post subject: Reply with quote

genstorm wrote:
*bump*
KDE4 SC 4.3.82 now in kde overlay

Strange people, 4.3.85 has just been tagged and here we only have 4.3.82 :roll:
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7216
Location: Austria

PostPosted: Fri Dec 18, 2009 11:10 pm    Post subject: Reply with quote

Try to download 4.3.85 sources - not yet there...

However, 4.3.85 ebuilds now available, once more before release. :?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Sun Dec 20, 2009 4:22 pm    Post subject: Reply with quote

I'm curious why can't we have 4.3.85 built before release, if ArchLinux, for example, can? Why do we have to wait for tarballs?
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Sun Dec 20, 2009 6:49 pm    Post subject: Reply with quote

Because it is supposed that kde release this tarballs ONLY for packagers in order to have all of them prepared for release the planed day but there are distro that don't follow the rules and release asap.

In other hand, you can use the live ebuilds
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 16, 17, 18 ... 36, 37, 38  Next
Page 17 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum